Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# GIOPC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/IOP_IORC.h"`
`#include "GIOPC.inl"`

Include dependency graph for GIOPC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | GIOP
namespace | TAO
## Classes
struct | GIOP::Version
struct | GIOP::IORAddressingInfo
union | GIOP::TargetAddress
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _GIOP_TARGETADDRESS_CH_
## Typedefs
typedef CORBA::Short_out | AddressingDisposition_out
typedef TAO_Fixed_Var_T< Version > | Version_var
typedef Version & | Version_out
typedef TAO_Var_Var_T< IORAddressingInfo > | IORAddressingInfo_var
typedef TAO_Out_T< IORAddressingInfo, IORAddressingInfo_var > | IORAddressingInfo_out
typedef TAO_Var_Var_T< TargetAddress > | TargetAddress_var
typedef TAO_Out_T< TargetAddress, TargetAddress_var > | TargetAddress_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::Version &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::Version &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::IORAddressingInfo &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const GIOP::TargetAddress &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, GIOP::TargetAddress &)

## Define Documentation

#define _GIOP_TARGETADDRESS_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef CORBA::Short_out GIOP::AddressingDisposition_out

typedef TAO_Out_T< IORAddressingInfo, IORAddressingInfo_var > GIOP::IORAddressingInfo_out

typedef TAO_Var_Var_T< IORAddressingInfo > GIOP::IORAddressingInfo_var

typedef TAO_Out_T< TargetAddress, TargetAddress_var > GIOP::TargetAddress_out

typedef TAO_Var_Var_T< TargetAddress > GIOP::TargetAddress_var

typedef Version& GIOP::Version_out

typedef TAO_Fixed_Var_T< Version > GIOP::Version_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::IORAddressingInfo & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const GIOP::Version & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::TargetAddress & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::IORAddressingInfo & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | GIOP::Version & |
| ) |